Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge
Class BridgeFactory

    java.lang.Object
      org.hibernate.search.bridge.BridgeFactory

    public class BridgeFactory

extends java.lang.Object

This factory is responsible for creating and initializing build-in and custom FieldBridges.

Author:
  Emmanuel Bernard, John Griffin

Field Summary
`static TwoWayFieldBridge` | `BIG_DECIMAL`
`static TwoWayFieldBridge` | `BIG_INTEGER`
`static TwoWayFieldBridge` | `BOOLEAN`
`static FieldBridge` | `CALENDAR_DAY`
`static FieldBridge` | `CALENDAR_HOUR`
`static TwoWayFieldBridge` | `CALENDAR_MILLISECOND`
`static FieldBridge` | `CALENDAR_MINUTE`
`static FieldBridge` | `CALENDAR_MONTH`
`static FieldBridge` | `CALENDAR_SECOND`
`static FieldBridge` | `CALENDAR_YEAR`
`static TwoWayFieldBridge` | `CHARACTER`
`static TwoWayFieldBridge` | `CLAZZ`
`static FieldBridge` | `DATE_DAY`
`static FieldBridge` | `DATE_HOUR`
`static TwoWayFieldBridge` | `DATE_MILLISECOND`
`static FieldBridge` | `DATE_MINUTE`
`static FieldBridge` | `DATE_MONTH`
`static FieldBridge` | `DATE_SECOND`
`static FieldBridge` | `DATE_YEAR`
`static TwoWayFieldBridge` | `DOUBLE`
`static TwoWayFieldBridge` | `FLOAT`
`static TwoWayFieldBridge` | `INTEGER`
`static TwoWayFieldBridge` | `LONG`
`static TwoWayFieldBridge` | `SHORT`
`static TwoWayFieldBridge` | `STRING`
`static TwoWayFieldBridge` | `Uri`
`static TwoWayFieldBridge` | `Url`

Method Summary
`static TwoWayFieldBridge` | `extractTwoWayType(FieldBridge fieldBridge)` Takes in a fieldBridge and will return you a TwoWayFieldBridge instance.
`static FieldBridge` | `extractType(ClassBridge cb)` This extracts and instantiates the implementation class from a ClassBridge annotation.
`static FieldBridge` | `extractType(FieldBridge fieldBridgeAnnotation)` This extracts and instantiates the implementation class from a ClassBridge annotation.
`static FieldBridge` | `getCalendarField(Resolution resolution)`
`static FieldBridge` | `getDateField(Resolution resolution)`
`static FieldBridge` | `guessType(Field field, org.hibernate.annotations.common.reflection.XMember member, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARACTER

    public static final TwoWayFieldBridge CHARACTER

### DOUBLE

    public static final TwoWayFieldBridge DOUBLE

### FLOAT

    public static final TwoWayFieldBridge FLOAT

### SHORT

    public static final TwoWayFieldBridge SHORT

### INTEGER

    public static final TwoWayFieldBridge INTEGER

### LONG

    public static final TwoWayFieldBridge LONG

### BIG_INTEGER

    public static final TwoWayFieldBridge BIG_INTEGER

### BIG_DECIMAL

    public static final TwoWayFieldBridge BIG_DECIMAL

### STRING

    public static final TwoWayFieldBridge STRING

### BOOLEAN

    public static final TwoWayFieldBridge BOOLEAN

### CLAZZ

    public static final TwoWayFieldBridge CLAZZ

### Url

    public static final TwoWayFieldBridge Url

### Uri

    public static final TwoWayFieldBridge Uri

### DATE_YEAR

    public static final FieldBridge DATE_YEAR

### DATE_MONTH

    public static final FieldBridge DATE_MONTH

### DATE_DAY

    public static final FieldBridge DATE_DAY

### DATE_HOUR

    public static final FieldBridge DATE_HOUR

### DATE_MINUTE

    public static final FieldBridge DATE_MINUTE

### DATE_SECOND

    public static final FieldBridge DATE_SECOND

### CALENDAR_YEAR

    public static final FieldBridge CALENDAR_YEAR

### CALENDAR_MONTH

    public static final FieldBridge CALENDAR_MONTH

### CALENDAR_DAY

    public static final FieldBridge CALENDAR_DAY

### CALENDAR_HOUR

    public static final FieldBridge CALENDAR_HOUR

### CALENDAR_MINUTE

    public static final FieldBridge CALENDAR_MINUTE

### CALENDAR_SECOND

    public static final FieldBridge CALENDAR_SECOND

### DATE_MILLISECOND

    public static final TwoWayFieldBridge DATE_MILLISECOND

### CALENDAR_MILLISECOND

    public static final TwoWayFieldBridge CALENDAR_MILLISECOND

Method Detail

### extractType

    public static FieldBridge extractType(ClassBridge cb)

  This extracts and instantiates the implementation class from a ClassBridge annotation.

  Parameters:
    `cb` - the ClassBridge
  Returns:
    FieldBridge

### guessType

    public static FieldBridge guessType(Field field,
                                        org.hibernate.annotations.common.reflection.XMember member,
                                        org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### getDateField

    public static FieldBridge getDateField(Resolution resolution)

### getCalendarField

    public static FieldBridge getCalendarField(Resolution resolution)

### extractTwoWayType

    public static TwoWayFieldBridge extractTwoWayType(FieldBridge fieldBridge)

  Takes in a fieldBridge and will return you a TwoWayFieldBridge instance.

  Parameters:
    `fieldBridge` -
  Returns:
    a TwoWayFieldBridge instance if the Field Bridge is an instance of a TwoWayFieldBridge.
  Throws:
    `SearchException` - if the FieldBridge passed in is not an instance of a TwoWayFieldBridge.

### extractType

    public static FieldBridge extractType(FieldBridge fieldBridgeAnnotation)

  This extracts and instantiates the implementation class from a ClassBridge annotation.

  Parameters:
    `fieldBridgeAnnotation` - the FieldBridge annotation
  Returns:
    FieldBridge

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.